if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 50224 $")

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)
	if class ~= 'ROGUE' then return end
	
	local function registerPoisons(categoryName)

		local category = self:GetCategory(categoryName)
		category.source = self.SOURCE_PT3SET
		
		category
			:add( BS['Anesthetic Poison'],   'minLevel', 68, 'setName', 'Consumable.Weapon Buff.Poison.Anesthetic'   )
			:add( BS['Crippling Poison'],    'minLevel', 20, 'setName', 'Consumable.Weapon Buff.Poison.Crippling'    )
			:add( BS['Deadly Poison'],       'minLevel', 30, 'setName', 'Consumable.Weapon Buff.Poison.Deadly'       )
			:add( BS['Instant Poison'],      'minLevel', 20, 'setName', 'Consumable.Weapon Buff.Poison.Instant'      )
			:add( BS['Mind-numbing Poison'], 'minLevel', 24, 'setName', 'Consumable.Weapon Buff.Poison.Mind Numbing' )
			:add( BS['Wound Poison'],        'minLevel', 32, 'setName', 'Consumable.Weapon Buff.Poison.Wound'        )
			
	end
	
	registerPoisons(self.CATEGORY_MAINHAND)
	registerPoisons(self.CATEGORY_OFFHAND)

end)
